SliTaz GNU/Linux official and community documentation wiki.
.png

Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Both sides previous revision Previous revision
Next revision
Previous revision
pt:handbook:development [2015/12/22 00:09]
genesis [Scripts CGI e o Perl]
pt:handbook:development [2015/12/28 17:45] (current)
genesis
Line 64: Line 64:
 ==== Executar o Geany ==== ==== Executar o Geany ====
  
-Você encontra ​o Geany no menu --Desenvolvimento --> Geany. ​Após sua primeira execução, você pode ajustar suas preferências através da opção de menu Edit --> Preferences. Pode-se também iniciá-lo pelo terminal:+Você pode instalar ​o Geany com: 
 + 
 +<code># tazpkg get-install geany</​code> 
 + 
 +Após sua primeira execução, você pode ajustar suas preferências através da opção de menu Edit --> Preferences. Pode-se também iniciá-lo pelo terminal:
  
 <​code>​$ geany &</​code>​ <​code>​$ geany &</​code>​
Line 128: Line 132:
 ===== Toolchain - Bibliotecas,​ compilador C e ferramentas ===== ===== Toolchain - Bibliotecas,​ compilador C e ferramentas =====
  
-Para compilar programas a partir dos fontes ou o seu próprio código, você precisa de pelo menos o toolchain básico, constituido do Binutils, Glibc, compilador C, headers (cabeçalhos) do Kernel e o utilitário Make. Note que o toolchain é usado pelos desenvolvedores do SliTaz para compilar todo os sistema a partir dos fontes. Para instalar o meta-pacote e todas suas dependências:​+Para compilar programas a partir dos fontes ou o seu próprio código, você precisa de pelo menos o toolchain ​(kit de ferramentas) ​básico, constituido do Binutils, Glibc, compilador C, headers (cabeçalhos) do Kernel e o utilitário Make. Note que o toolchain é usado pelos desenvolvedores do SliTaz para compilar todo os sistema a partir dos fontes. Para instalar o meta-pacote e todas suas dependências:​
  
 <​code>#​ tazpkg get-install slitaz-toolchain</​code>​ <​code>#​ tazpkg get-install slitaz-toolchain</​code>​
Line 136: Line 140:
 <​code>​$ tazpkg search pkg-config</​code>​ <​code>​$ tazpkg search pkg-config</​code>​
  
-Se você desejar compilar aplicativos que se utilizem da biblioteca Ncurses, deve instalar o pacote ncurses-dev. Note que este pacote também fornece uma variedade de pequenos programas como o //tic// ou o //tack//:+Se você desejar compilar aplicativos que se utilizem da biblioteca Ncurses, deve instalar o pacote ​//ncurses-dev//. Note que este pacote também fornece uma variedade de pequenos programas como o //tic// ou o //tac//:
  
 <​code>​$ tazpkg search ncurses</​code>​ <​code>​$ tazpkg search ncurses</​code>​